<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('silver_roi_his', function (Blueprint $table) {
            $table->id();
            $table->integer('inv_id');
            $table->string('user_id', 50);
            $table->integer('days')->default(1512);
            $table->float('roi_percentage', 15, 2);
            $table->datetime('entry_date');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('silver_roi_his');
    }
};
